summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Antoine NONYME <mickeytintincolle@yahoo.fr>2010-05-13 00:35:20 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:35:20 +0200
commitb41380b1cd158b3225d21ef20d6598b8bc864d14 (patch)
treebf38909d2de53faacf14a498528a4f5705b99d26
parentd8eff7835c90b20f2ccbf999f8c681b01e08d4f3 (diff)
downloadslackbuilds-b41380b1cd158b3225d21ef20d6598b8bc864d14.tar.gz
slackbuilds-b41380b1cd158b3225d21ef20d6598b8bc864d14.tar.xz
multimedia/xfmedia: Updated for version 0.9.2
-rw-r--r--multimedia/xfmedia/doinst.sh20
-rw-r--r--multimedia/xfmedia/slack-desc14
-rw-r--r--multimedia/xfmedia/xfmedia-0.9.2-fixup_htmldir.diff78
-rw-r--r--multimedia/xfmedia/xfmedia.SlackBuild33
-rw-r--r--multimedia/xfmedia/xfmedia.info2
5 files changed, 127 insertions, 20 deletions
diff --git a/multimedia/xfmedia/doinst.sh b/multimedia/xfmedia/doinst.sh
index 6c07a9fbbc..fb57cbf919 100644
--- a/multimedia/xfmedia/doinst.sh
+++ b/multimedia/xfmedia/doinst.sh
@@ -1,9 +1,25 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/xfce/xdg/xfmedia/keybindings.rc.new
if [ -x /usr/bin/update-desktop-database ]; then
/usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
-if [ -x /usr/bin/update-mime-database ]; then
- /usr/bin/update-mime-database ./usr/share/mime >/dev/null 2>&1
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
fi
diff --git a/multimedia/xfmedia/slack-desc b/multimedia/xfmedia/slack-desc
index 79ca73e9f7..5ac75ec827 100644
--- a/multimedia/xfmedia/slack-desc
+++ b/multimedia/xfmedia/slack-desc
@@ -7,13 +7,13 @@
|-----handy-ruler-----------------------------------------------------|
xfmedia: xfmedia (a xine-based media player for Xfce)
-xfmedia:
+xfmedia:
xfmedia: Xfmedia is a media player for the Xfce desktop environment.
xfmedia: It manages playlists, repeats and shuffles.
-xfmedia:
+xfmedia:
xfmedia: Homepage: http://spuriousinterrupt.org/projects/xfmedia
-xfmedia:
-xfmedia:
-xfmedia:
-xfmedia:
-xfmedia:
+xfmedia:
+xfmedia:
+xfmedia:
+xfmedia:
+xfmedia:
diff --git a/multimedia/xfmedia/xfmedia-0.9.2-fixup_htmldir.diff b/multimedia/xfmedia/xfmedia-0.9.2-fixup_htmldir.diff
new file mode 100644
index 0000000000..5a16fa5a1d
--- /dev/null
+++ b/multimedia/xfmedia/xfmedia-0.9.2-fixup_htmldir.diff
@@ -0,0 +1,78 @@
+diff -Nur xfmedia-0.9.2.orig/doc/C/Makefile.in xfmedia-0.9.2/doc/C/Makefile.in
+--- xfmedia-0.9.2.orig/doc/C/Makefile.in 2006-11-27 14:20:51.000000000 -0600
++++ xfmedia-0.9.2/doc/C/Makefile.in 2009-08-15 17:43:00.612828573 -0500
+@@ -59,7 +59,7 @@
+ *) f=$$p;; \
+ esac;
+ am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
+-am__installdirs = "$(DESTDIR)$(docdir)" "$(DESTDIR)$(imagesdir)"
++am__installdirs = "$(DESTDIR)$(htmldir)" "$(DESTDIR)$(imagesdir)"
+ docDATA_INSTALL = $(INSTALL_DATA)
+ imagesDATA_INSTALL = $(INSTALL_DATA)
+ DATA = $(doc_DATA) $(images_DATA)
+@@ -265,7 +265,8 @@
+ build_vendor = @build_vendor@
+ datadir = @datadir@
+ datarootdir = @datarootdir@
+-docdir = $(datadir)/xfmedia/doc/C
++docdir = @docdir@
++htmldir = @htmldir@
+ dvidir = @dvidir@
+ exec_prefix = @exec_prefix@
+ host = @host@
+@@ -307,7 +308,7 @@
+ html/ch04.html \
+ html/ch04s02.html
+
+-imagesdir = $(datadir)/xfmedia/doc/C/images
++imagesdir = $(htmldir)/images
+ images_DATA = \
+ xml/images/mainwin.png \
+ xml/images/prefs-options.png \
+@@ -361,20 +362,20 @@
+ uninstall-info-am:
+ install-docDATA: $(doc_DATA)
+ @$(NORMAL_INSTALL)
+- test -z "$(docdir)" || $(mkdir_p) "$(DESTDIR)$(docdir)"
++ test -z "$(htmldir)" || $(mkdir_p) "$(DESTDIR)$(htmldir)"
+ @list='$(doc_DATA)'; for p in $$list; do \
+ if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
+ f=$(am__strip_dir) \
+- echo " $(docDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(docdir)/$$f'"; \
+- $(docDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(docdir)/$$f"; \
++ echo " $(docDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(htmldir)/$$f'"; \
++ $(docDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(htmldir)/$$f"; \
+ done
+
+ uninstall-docDATA:
+ @$(NORMAL_UNINSTALL)
+ @list='$(doc_DATA)'; for p in $$list; do \
+ f=$(am__strip_dir) \
+- echo " rm -f '$(DESTDIR)$(docdir)/$$f'"; \
+- rm -f "$(DESTDIR)$(docdir)/$$f"; \
++ echo " rm -f '$(DESTDIR)$(htmldir)/$$f'"; \
++ rm -f "$(DESTDIR)$(htmldir)/$$f"; \
+ done
+ install-imagesDATA: $(images_DATA)
+ @$(NORMAL_INSTALL)
+@@ -574,7 +575,7 @@
+ all-am: Makefile $(DATA)
+ installdirs: installdirs-recursive
+ installdirs-am:
+- for dir in "$(DESTDIR)$(docdir)" "$(DESTDIR)$(imagesdir)"; do \
++ for dir in "$(DESTDIR)$(htmldir)" "$(DESTDIR)$(imagesdir)"; do \
+ test -z "$$dir" || $(mkdir_p) "$$dir"; \
+ done
+ install: install-recursive
+diff -Nur xfmedia-0.9.2.orig/doc/Makefile.in xfmedia-0.9.2/doc/Makefile.in
+--- xfmedia-0.9.2.orig/doc/Makefile.in 2006-11-27 14:20:52.000000000 -0600
++++ xfmedia-0.9.2/doc/Makefile.in 2009-08-15 17:41:11.197985898 -0500
+@@ -295,7 +295,7 @@
+ SUBDIRS = \
+ C
+
+-cssdir = $(datadir)/xfmedia/doc
++cssdir = $(htmldir)
+ css_DATA = xfce.css
+ noinst_DATA = \
+ catalog.xml.in \
diff --git a/multimedia/xfmedia/xfmedia.SlackBuild b/multimedia/xfmedia/xfmedia.SlackBuild
index 953945edde..7d8729ad55 100644
--- a/multimedia/xfmedia/xfmedia.SlackBuild
+++ b/multimedia/xfmedia/xfmedia.SlackBuild
@@ -37,10 +37,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -58,37 +61,45 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Fixup the html docs installation
+patch -p1 < $CWD/xfmedia-0.9.2-fixup_htmldir.diff
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc/xfce \
--localstatedir=/var \
--mandir=/usr/man \
--docdir=/usr/doc/$PRGNAM-$VERSION \
+ --htmldir=/usr/doc/$PRGNAM-$VERSION/html \
--enable-static=no \
- --build=$ARCH-slackware-linux \
- --host=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
+# Let's not clobber the keybindings config
+mv $PKG/etc/xfce/xdg/xfmedia/keybindings.rc \
+ $PKG/etc/xfce/xdg/xfmedia/keybindings.rc.new
+
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
-
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-mv $PKG/usr/share/xfmedia/doc/C/ $PKG/usr/doc/$PRGNAM-$VERSION/html
-mv $PKG/usr/share/xfmedia/doc/xfce.css $PKG/usr/doc/$PRGNAM-$VERSION
-rm -rf $PKG/usr/share/xfmedia
+# docdir is already created by make install
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README* TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/xfmedia/xfmedia.info b/multimedia/xfmedia/xfmedia.info
index 44952f44a4..2f849a4a50 100644
--- a/multimedia/xfmedia/xfmedia.info
+++ b/multimedia/xfmedia/xfmedia.info
@@ -3,6 +3,8 @@ VERSION="0.9.2"
HOMEPAGE="http://spuriousinterrupt.org/projects/xfmedia"
DOWNLOAD="http://spuriousinterrupt.org/files/xfmedia/xfmedia-0.9.2.tar.bz2"
MD5SUM="6eb8bd1f67201f829e0f45e733c02bd5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="Antoine NONYME"
EMAIL="mickeytintincolle@yahoo.fr"
APPROVED="rworkman"